Bug 462894 - Macbook Pro Touchpad is not fully functional
Macbook Pro Touchpad is not fully functional
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-19 11:00 EDT by Naresh
Modified: 2008-09-21 14:06 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-21 14:06:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg,/proc log details about touchpad problem (7.02 KB, text/plain)
2008-09-19 11:00 EDT, Naresh
no flags Details
kernel module for the macbook touchpads (23.13 KB, application/x-rpm)
2008-09-20 14:07 EDT, Naresh
no flags Details

  None (edit)
Description Naresh 2008-09-19 11:00:47 EDT
Created attachment 317202 [details]
Xorg,/proc log details about touchpad problem

Description of problem:

I've a new Macbook Pro, installed fedora 9 , everything works fine except that the touchpad is not being detected by the synaptics driver, After searching for a while, came across similar problem which happened with a previous version of the trackpad. http://www.redhat.com/archives/rhl-devel-list/2007-February/msg01432.html

This also explains the problem with the appletouch kernel module http://www.redhat.com/archives/rhl-devel-list/2007-February/msg01455.html

I am not sure if the product number for my trackpad is included in the kernel source tree (attached file has all the required details).

I am currently able to use only the 'single click' in the touch pad. I couldn't find a way to do the  right click, tap to click,... etc

Version-Release number of selected component (if applicable):

[~]$ rpm -qa kernel\* synaptics\*
kernel-devel-2.6.26.5-42.fc9.i686
synaptics-0.14.6-7.fc9.i386
kernel-headers-2.6.26.5-42.fc9.i386
kernel-2.6.26.5-42.fc9.i686
kerneloops-0.11-1.fc9.i386


How reproducible:

Always. With the similar hardware.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Naresh 2008-09-20 14:07:31 EDT
Created attachment 317288 [details]
kernel module for the macbook touchpads

bcm5974 dkms package for the fedora 9.
Comment 2 Naresh 2008-09-20 14:08:59 EDT
upgraded my kernel to the latest one in the rawhide (fedora 10) and got the touchpad working as usual.

The above dkms package builds the kernel driver for the touchpads on kernel 2.6.26 and lower. Somehow i am unable to get the things working on the 2.6.26 kernel.
Comment 3 Chuck Ebbert 2008-09-21 14:06:38 EDT
That's a bcm5974 multitouch pad and needs the new driver. I don't think we can add that, it's too big and has four followup patches applied on top of it. It will be fully supported by the kernel when we update to 2.6.27.

Note You need to log in before you can comment on or make changes to this bug.